Skip to main content
GET
/
v1
/
transactions
/
addresses
/
invalid
Get Invalid Address Transactions
curl --request GET \
  --url https://api.trykintsugi.com/v1/transactions/addresses/invalid \
  --header 'X-API-KEY: <api-key>' \
  --header 'x-organization-id: <x-organization-id>'
{
  "items": [
    {
      "organization_id": "<string>",
      "external_id": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "addresses": [
        {
          "phone": "<string>",
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "county": "<string>",
          "state": "<string>",
          "postal_code": "<string>",
          "full_address": "<string>",
          "is_unincorporated": false,
          "status": "UNVERIFIED",
          "id": "<string>",
          "transaction_id": "<string>",
          "connection_id": "<string>"
        }
      ],
      "transaction_items": [
        {
          "organization_id": "<string>",
          "date": "2023-11-07T05:31:56Z",
          "external_product_id": "<string>",
          "id": "<string>",
          "tax_items": [
            {
              "rate": "<string>",
              "amount": "<string>",
              "name": "<string>",
              "rule_id": "0000",
              "converted_amount": "<string>",
              "external_id": "<string>",
              "type": "IMPORTED",
              "jurisdiction_name": "<string>"
            }
          ],
          "external_id": "<string>",
          "description": "<string>",
          "product": "<string>",
          "product_id": "<string>",
          "product_name": "<string>",
          "product_description": "<string>",
          "quantity": "1.0",
          "amount": "0.00",
          "tax_amount_imported": "0.00",
          "tax_rate_imported": "0.00",
          "tax_amount_calculated": "0.00",
          "tax_rate_calculated": "0.00",
          "converted_amount": "<string>",
          "converted_taxable_amount": "<string>",
          "converted_tax_amount_imported": "<string>",
          "converted_tax_amount_calculated": "<string>",
          "converted_total_discount": "<string>",
          "converted_subtotal": "<string>",
          "taxable_amount": "0.00",
          "exempt": false,
          "total_discount": "<string>",
          "subtotal": "<string>"
        }
      ],
      "requires_exemption": {
        "organization_id": "<string>",
        "start_date": "2023-11-07T05:31:56Z",
        "reseller": true,
        "jurisdiction": "<string>",
        "customer_id": "<string>",
        "end_date": "2023-11-07T05:31:56Z",
        "FEIN": "<string>",
        "sales_tax_id": "<string>"
      },
      "shop_date": "2023-12-25",
      "shop_date_tz": "<string>",
      "description": "<string>",
      "total_amount": "0.00",
      "customer_id": "<string>",
      "marketplace": false,
      "exempt": "NOT_EXEMPT",
      "exemptions": [
        {
          "start_date": "2023-12-25",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "jurisdiction": "<string>",
          "end_date": "2023-12-25",
          "customer_id": "<string>",
          "transaction_id": "<string>",
          "reseller": false,
          "FEIN": "<string>",
          "sales_tax_id": "<string>",
          "organization_id": "<string>",
          "certificate_import_id": "<string>"
        }
      ],
      "related_to": "<string>",
      "secondary_external_id": "<string>",
      "secondary_source": "<string>",
      "external_friendly_id": "<string>",
      "total_tax_amount_imported": "0.00",
      "tax_rate_imported": "0.00",
      "total_tax_amount_calculated": "0.00",
      "tax_rate_calculated": "0.00",
      "total_tax_liability_amount": "0.00",
      "taxable_amount": "0.00",
      "currency": "USD",
      "locked": false,
      "source": "OTHER",
      "connection_id": "<string>",
      "filing_id": "<string>",
      "city": "<string>",
      "county": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "tax_id": "<string>",
      "status": "COMMITTED",
      "created_from": "<string>",
      "address_status": "UNVERIFIED",
      "processing_status": "QUEUED",
      "is_duplicate": false,
      "converted_total_amount": "<string>",
      "converted_total_tax_amount_imported": "<string>",
      "converted_total_tax_amount_calculated": "<string>",
      "conversion_rate": "<string>",
      "converted_taxable_amount": "<string>",
      "converted_total_discount": "<string>",
      "converted_subtotal": "<string>",
      "converted_total_tax_liability_amount": "<string>",
      "store_name": "<string>",
      "direction": "SALE",
      "counterparty_tax_id": "<string>",
      "customer": {
        "id": "<string>",
        "organization_id": "<string>",
        "phone": "<string>",
        "street_1": "<string>",
        "street_2": "<string>",
        "city": "<string>",
        "county": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "full_address": "<string>",
        "name": "<string>",
        "external_id": "<string>",
        "status": "ACTIVE",
        "email": "<string>",
        "connection_id": "<string>",
        "address_status": "UNVERIFIED",
        "registration_number": "<string>",
        "external_friendly_id": "<string>",
        "customer_tax_registrations": [
          {
            "id": "<string>",
            "customer_id": "<string>",
            "tax_id": "<string>",
            "is_valid": true
          }
        ],
        "store_name": "<string>"
      },
      "total_discount": "<string>",
      "subtotal": "<string>",
      "final_total_amount": "<string>",
      "converted_final_total_amount": "<string>"
    }
  ],
  "total": 1,
  "page": 2,
  "size": 2,
  "pages": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Headers

x-organization-id
string | null
required

The unique identifier for the organization making the request

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100
search_query
string | null
order_by
string | null

Optional country sorting. If not specified, defaults to US first, then A-Z, then empty (all with date desc secondary). 'country' = standard A-Z with date desc secondary. '-country' = standard Z-A with date desc secondary.

country
enum<string> | null

Filter by specific country code (e.g., US, CA, FR)

Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
CI,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MK,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
US,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
XK,
ZZ_EU
has_country
boolean | null

Filter addresses that have or don't have a country

has_state
boolean | null

Filter addresses that have or don't have a state

has_city
boolean | null

Filter addresses that have or don't have a city

has_county
boolean | null

Filter addresses that have or don't have a county

has_postal_code
boolean | null

Filter addresses that have or don't have a postal code

address_not_empty
boolean | null

Filter addresses that have any populated fields

Response

Successful Response

items
TransactionRead · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1
pages
integer
required
Required range: x >= 0